Skip site navigation (1) Skip section navigation (2)

Re: problems with debian+gnome2.2+pgadmin3

From: andre farias <andrebf73(at)yahoo(dot)com(dot)br>
To: pgadmin-support(at)postgresql(dot)org
Subject: Re: problems with debian+gnome2.2+pgadmin3
Date: 2004-12-21 22:42:41
Message-ID: 20041221224241.3398.qmail@web42202.mail.yahoo.com (view raw or flat)
Thread:
Lists: pgadmin-support
Hi Raphaël!

Just to let you know I've downgraded my Gnome to
version 1.4 and everything(pgadmin) is working fine.

My Debian version is 3.0r2(woody stable) and the Gnome
backport 2.2 was downloaded from:
http://ftp.acc.umu.se/mirror/mirrors.evilgeniuses.org.uk/debian/backports/woody
http://mirror.raw.no/

Raphaël, unfortunately I've had to do that because I
were in a hurry(lots of job to be done).

But it's ackward to downgrade gnome!!!

I'll try it again when I have a little more time.

Thanks a lot for your help!

André


 --- Raphaël Enrici <blacknoz(at)club-internet(dot)fr>
escreveu: 
> andre farias wrote:
> > Hi Raphaël.
> 
> Hi André,
> 
> sorry for the delay,
> 
> 
> > i think you've got it!
> 
> mmmh not sure we got it all ;)
> 
> > all other gtk applications give me the same error
> > "GTK:  cannot open display" when lauched at the
> > console tty1
> > 
> > echo $DISPLAY gives me nothing at tty1
> 
> ok, so this part is normal:
> pgAdmin is a GUI and needs a X server. There is no
> good reason to launch 
> it from tty1.
> 
> 
> > i've opened the gnome terminal and there pgadmin3
> > gives me segmentation fault and the echo $DISPLAY
> > gives me :0.0
> > 
> > attached goes the strace result.
> > 
> > the version of my pgadmin III is 1.0.2.3.backpo
> from
> >
>
ftp://ftp3.us.postgresql.org/pub/postgresql/pgadmin3/release/debian
> 
> So, you are using a backport which was made for
> Debian/stable (aka woody).
> I'm gonna check it twice but I don't remember that
> Gnome 2.2 is 
> distributed with Woody, to me it's 1.4 and maybe
> part of Gnome 2.0.
> 
> Can you tell us which Debian release you are using
> and from where your 
> Gnome 2.2 comes from?
> 
> If you are using woody + backports, a rebuild of the
> package may help 
> (or not). If you are using sarge or unstable, you
> should definitely 
> update your installation (sarge is moving to Gnome
> 2.8) and change your 
> sources.list for pgAdmin III packages.
> 
> A backtrace may help too in addition to the strace
> log you have already 
> sent.
> $ gdb pgadmin3
> at (gdb) prompt, type "run" and whent it crashes
> type "bt"
> 
> 
> Regards,
> Raphaël
> 
> ---------------------------(end of
> broadcast)---------------------------
> TIP 2: you can get off all lists at once with the
> unregister command
>     (send "unregister YourEmailAddressHere" to
> majordomo(at)postgresql(dot)org)
>  


	
	
		
_______________________________________________________ 
Yahoo! Acesso Grátis - Instale o discador do Yahoo! agora. http://br.acesso.yahoo.com/ - Internet rápida e grátis

In response to

Responses

pgadmin-support by date

Next:From: Trent OliphantDate: 2004-12-21 23:03:10
Subject: Adding foreign keys
Previous:From: Andreas PflugDate: 2004-12-21 17:07:54
Subject: Re: A few suggestion to the function editing window

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group